# Class IntervalComparatorByStart

java.lang.Object
org.snpeff.interval.IntervalComparatorByStart

All Implemented Interfaces:
  `Comparator<Marker>`

public class IntervalComparatorByStart extends Object implements Comparator<Marker>
Compare intervals by start position

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`IntervalComparatorByStart()`
`IntervalComparatorByStart(boolean reverse)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(Marker i1, Marker i2)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Constructor Details

### IntervalComparatorByStart

public IntervalComparatorByStart()

### IntervalComparatorByStart

public IntervalComparatorByStart(boolean reverse)

## Method Details

### compare

public int compare(Marker i1, Marker i2)

Specified by:
  `compare` in interface `Comparator<Marker>`